KNOWLEDGE BASE

Error "npm ERR! code 1" When Installing TACO Toolkit


Published: 10 Jan 2024
Last Modified Date: 10 Jan 2024

Issue

When installing the TACO toolkit, the following error may occur:
npm ERR! code 1
npm ERR! path C:\Users\
<user>\AppData\Roaming\npm\node_modules\@tableau\taco-toolkit\node_modules\duckdb
npm ERR! command failed

Environment

  • Windows

Resolution

Install Visual Studio Build Tools with the Desktop development with C++ workload:
1. Download the installer from https://visualstudio.microsoft.com/thank-you-downloading-visual-studio/?sku=BuildTools
2. Run the downloaded Visual Studio Installer file and select ‘Continue.
3. Select ‘Desktop development with C++’,  and click ‘Install’.

 

Cause

The installation of the TACO Toolkit requires Visual Studio Build Tools with the Desktop development with C++ workload.
Did this article resolve the issue?